/* === Science & Technology Consultants (SciTeX) = Fri-03-10-2006 === */

/* --- Parameters --------------------------------------------------- */

Include "Test-2D.par";

/* --- Points ------------------------------------------------------- */

/* ... Disk A ....................................................... */

Pnt = 1100;

Point(Pnt+1) = {0.0,0.0,0.0,MshSze};
Point(Pnt+2) = {Rds,0.0,0.0,MshSze};
Point(Pnt+3) = {Rds,Hgt,0.0,MshSze};
Point(Pnt+4) = {0.0,Hgt,0.0,MshSze};

/* ... Disk B ....................................................... */

Pnt = 1200;

Point(Pnt+1) = {0.0,Hgt+Sep    ,0.0,MshSze};
Point(Pnt+2) = {Rds,Hgt+Sep    ,0.0,MshSze};
Point(Pnt+3) = {Rds,Hgt+Sep+Hgt,0.0,MshSze};
Point(Pnt+4) = {0.0,Hgt+Sep+Hgt,0.0,MshSze};

/* --- Lines -------------------------------------------------------- */

/* ... Disk A ....................................................... */

Pnt = 1100;
Lne = 2100;

Line(Lne+1) = {Pnt+1, Pnt+2};
Line(Lne+2) = {Pnt+2, Pnt+3};
Line(Lne+3) = {Pnt+3, Pnt+4};
Line(Lne+4) = {Pnt+4, Pnt+1};

/* ... Disk B ....................................................... */

Pnt = 1200;
Lne = 2200;

Line(Lne+1) = {Pnt+1, Pnt+2};
Line(Lne+2) = {Pnt+2, Pnt+3};
Line(Lne+3) = {Pnt+3, Pnt+4};
Line(Lne+4) = {Pnt+4, Pnt+1};

/* --- Line Loops --------------------------------------------------- */

/* ... Disk A ....................................................... */

Lne = 2100;
Lop = 3100;

Line Loop(Lop+1) = {Lne+1,Lne+2,Lne+3,Lne+4};

/* ... Disk B ....................................................... */

Lne = 2200;
Lop = 3200;

Line Loop(Lop+1) = {Lne+1,Lne+2,Lne+3,Lne+4};

/* --- Surfaces ----------------------------------------------------- */

/* ... Disk A ....................................................... */

Lop = 3100;
Sfc = 4100;

Plane Surface(Sfc+1) = {Lop+1};

/* ... Disk B ....................................................... */

Lop = 3200;
Sfc = 4200;

Plane Surface(Sfc+1) = {Lop+1};

/* --- Physical Lines & Surfaces ------------------------------------ */

Phy = 5000;

Physical Line(Phy+ 1) = {2101}; // Bottom A
Physical Line(Phy+ 2) = {2102}; // Side A
Physical Line(Phy+ 3) = {2103}; // Top A
Physical Line(Phy+ 4) = {2201}; // Bottom B
Physical Line(Phy+ 5) = {2202}; // Side B
Physical Line(Phy+ 6) = {2203}; // Top B

Phy = 6000;

Physical Surface(Phy+1) = {4101}; // Disk A
Physical Surface(Phy+2) = {4201}; // Disk B

/* ================================================================== */

